WellbyteWellbyte

GET /v1/weibo/web_v2/search_user_posts

搜索用户微博

stable · 2 credits / 次(成功才计)

在指定用户的微博中搜索包含特定关键词的内容。;uid: 用户ID(必填);q: 搜索关键词(非必填,空字符串表示搜索全部内容);page: 页码,从1开始(默认1);starttime: 开始时间戳(可选,Unix时间戳格式);endtime: 结束时间戳(可选,Unix时间戳格式);hasori: 是否包含原创(默认1包含);hasret: 是否包含转发(默认1包含);hastext: 是否包含文字(默认1包含);haspic: 是否包含图片(默认1包含);hasvideo: 是否包含视频(默认1包含);hasmusic: 是否包含音乐(默认1包含);搜索结果列表,包含微博内容、作者信息、互动数据等;注意;搜索结果受用户隐私设置影响;时间戳参数使用Unix时间戳格式

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl -s 'https://api.wellbyte.net/v1/weibo/web_v2/search_user_posts?q=demo&uid=7277477906&page=1&hasori=1&haspic=1&hasret=1&endtime=1772294400&hastext=1&hasmusic=1&hasvideo=1&starttime=1772294400' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-08-25

data{
code:0
data{
list[ 0 items ]
total:0
}
meta{
endpoint:"weibo.web_v2.search_user_posts"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    qstringquery搜索关键词demo
    uidstringquery用户ID7277477906
    pageintegerquery页数1
    hasoriintegerquery是否包含原创微博,1=包含,0=不包含1
    haspicintegerquery是否包含图片微博,1=包含,0=不包含1
    hasretintegerquery是否包含转发微博,1=包含,0=不包含1
    endtimeintegerquery结束时间戳1772294400
    hastextintegerquery是否包含文字微博,1=包含,0=不包含1
    hasmusicintegerquery是否包含音乐微博,1=包含,0=不包含1
    hasvideointegerquery是否包含视频微博,1=包含,0=不包含1
    starttimeintegerquery开始时间戳1772294400

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误
    40102401API Key 无效或已吊销
    40201402余额不足,请充值
    40402404目标资源不存在
    42201422质量门槛未通过
    42901429超出速率限制
    50401504上游超时
    50201502上游返回异常

    计费

    成功扣 2 credits;任何失败(含上游 200 但未过质量门槛)扣 0。

    搜索

    搜索端点与文档